/*
 *  Copyright 2013-2050 Emmanuel BRUN (contact@amapj.fr)
 * 
 *  This file is part of AmapJ.
 *  
 *  AmapJ is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.

 *  AmapJ is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with AmapJ.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * 
 */
 package fr.amapj.view.views.saisiecontrat.abo.joker;

import fr.amapj.common.AmapjRuntimeException;
import fr.amapj.view.engine.popup.formpopup.OnSaveException;
import fr.amapj.view.views.saisiecontrat.SaisieContrat.SaisieContratData;

public class SaisieJoker 
{

	public static void doSaisieJoker(SaisieContratData data, boolean readOnly, ActionInSauvegarder actionInSauvegarder,Runnable actionAfterClose) 
	{
		switch (data.contratDTO.typJoker) 
		{
		case JOKER_ABSENCE:
			new PopupSaisieJokerAbsence(data, actionInSauvegarder,readOnly).open(()->performActionAfterClose(actionAfterClose));
			return;
			
		case JOKER_REPORT:
			new PopupSaisieJokerReport(data, actionInSauvegarder,readOnly).open(()->performActionAfterClose(actionAfterClose));
			return;
			

		default:
			throw new AmapjRuntimeException();
		}
		
	}

	private static void performActionAfterClose(Runnable actionAfterClose) 
	{
		if (actionAfterClose!=null)
		{
			actionAfterClose.run();
		}
	}

	/**
	 * Permet la saisie des jokers seules
	 */
	public static void doSaisieJokerOnly(SaisieContratData data) 
	{
		doSaisieJoker(data, false, 	()->data.saveContrat(), null);;
		
	}

	
	public interface ActionInSauvegarder
	{
		public void doAction() throws OnSaveException;
	}
	
}
